r.spreadpath(1)

NAME
r.spreadpath - Recursively traces the least cost path backwards to cells from which the cumulative cost was determined.

SYNOPSIS
r.spreadpath
r.spreadpath help
r.spreadpath [-v] x_input=string y_input=string [coordinate=x,y[,x,y,...]] output=string

  Flags:

-v  Run verbosly

  Parameters:

x_input=string
    Name of raster map containing back-path easting information

y_input=string
    Name of raster map containing back-path norhting information

coordinate=x,y[,x,y,...]
    The map E and N grid coordinates of starting points

output=string
    Name of spread path raster map

DESCRIPTION
r.spreadpath recursively traces the least cost path backwards to the origin, given backlink information input map layers and target locations from where paths are to be traced. The backlink information map layers record each cell's backlink UTM northing (the y_input) and easting (the x_input) coordinates from which the cell's cumulative cost was determined.

The backlink inputs can be generated from another GRASS raster program r.spread. One of the major applications of r.spreadpath along with r.spread is to accurately find the least cost corridors and/or paths on a raster setting. More information on r.spread and r.spreadpath can be found in Xu (1994).

Parameters:

x_input=name
    Name of input raster map layer containing backlink UTM easting coordinates.

y_input=name
    Name of input raster map layer containing backlink UTM northing coordinates.

coordinate=x,y[,x,y,x,y, ...]
    Each x,y coordinate pair gives the easting and northing (respectively) geographic coordinates of a target point from which to backwards trace the least cost path. As many points as desired can be entered by the user.

output=name
    Name of raster map layer to contain output. Also can be used as the map layer of the input target points. If so used, the input target point map will be overwritten by the output.

SEE ALSO
r.spread, r.ros

REFERENCES
Xu, Jianping, 1994, Simulating the spread of wildfires using a geographic information system and remote sensing, Ph. D. Dissertation, Rutgers University, New Brunswick, New Jersey.

AUTHOR
Jianping Xu and Richard G. Lathrop, Jr., Center for Remote Sensing and Spatial Analysis, Rutgers University.

Last changed: $Date: 2003/05/06 16:41:37 $

Help Index